Public Member Functions | Protected Member Functions | Related Functions

# Gio::DBus::MethodInfo Class Reference
[D-Bus API]

Stores information about a method on an D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusMethodInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusMethodInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusMethodInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Protected Member Functions
| MethodInfo ()
void | operator delete (void*, size_t)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::MethodInfo > | wrap (GDBusMethodInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Stores information about a method on an D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::MethodInfo::MethodInfo | ( | ) | `[protected]`

## Member Function Documentation

GDBusMethodInfo* Gio::DBus::MethodInfo::gobj | ( | ) |

Provides access to the underlying C instance.

const GDBusMethodInfo* Gio::DBus::MethodInfo::gobj | ( | ) | const

Provides access to the underlying C instance.

GDBusMethodInfo* Gio::DBus::MethodInfo::gobj_copy | ( | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBus::MethodInfo::operator delete | ( | void * | ,
|  | size_t |
| ) |  | `[protected]`

void Gio::DBus::MethodInfo::reference | ( | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::MethodInfo::unreference | ( | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::MethodInfo > wrap | ( | GDBusMethodInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.